+ Start a Discussion
diwomandiwoman 

Opportunity Contact role required

We want to require an entry in the Contact Roles related list on Opportunities.  I tried using an add-on from the AppExchange, Opportunity Primary Contact Required, but it's not supported and no longer works with the new Opportunity save behaviour.  Would appreciate any help.

 

Thanks!

 

Jodi

Steve MolisSteve Molis
I have it enabled on my SFDC.Org, what problems are you having specifically?  Are you getting an error message?  Do you have any Account Validation formulas?  Did you customize the Contact Required custom formula field? 
RonS-AMRonS-AM

I tried installing Opportunity Primary Contact Required in our sandbox and received an error.

Package install error

There are problems that prevent this package from being installed.

This package does not match the Opportunity Save Behavior of your org and could create data corruption. For more information review the New Opportunity Save Behavior update in Setup | App Setup | Critical Updates or contact the package developer.

We are using the Enterprise Edition and don't have any critical updates available.

Any ideas?

rpr2rpr2

I use the Appexchange program Opportunity Contact Roles Validation by hiSoft and it works great.for my needs. Quite flexible.

RonS-AMRonS-AM

Yes, I ended up using hiSoft too and it works well.